Subject: [alpine-devel] New packages for 1.9

From: Andrew Manison <[email-masked]>
Date: Thu, 22 Oct 2009 14:05:59 -0400

Attached are git patch files for ebtables and icecast. These build 
cleanly, but have not been tested on an installed system. Let me know if 
this is the correct and preferred format for these.

Andrew Manison
>From 22411e3a7f7d6a5656da223fda2ad260824edfde Mon Sep 17 00:00:00 2001
From: root <root@andrew-vbox-ubuntu.(none)>
Date: Wed, 21 Oct 2009 20:18:57 +0000
Subject: [PATCH] Added ebtables package files

---
 ...d-gcc-no-stack-protector-flag-to-makefile.patch |   25 ++++++++++++
 main/ebtables/APKBUILD                             |   41 ++++++++++++++++++++
 2 files changed, 66 insertions(+), 0 deletions(-)
 create mode 100644 main/ebtables/0001-add-gcc-no-stack-protector-flag-to-makefile.patch
 create mode 100644 main/ebtables/APKBUILD

diff --git a/main/ebtables/0001-add-gcc-no-stack-protector-flag-to-makefile.patch b/main/ebtables/0001-add-gcc-no-stack-protector-flag-to-makefile.patch
new file mode 100644
index 0000000..814af9d
--- /dev/null
+++ b/main/ebtables/0001-add-gcc-no-stack-protector-flag-to-makefile.patch
@@ -0,0 +1,25 @@
+--- a/Makefile	Sun Jun 21 13:13:25 2009
++++ b/Makefile	Wed Oct 21 15:43:13 2009
+@@ -15,7 +15,7 @@
+ SYSCONFIGDIR:=/etc/sysconfig
+ DESTDIR:=
+ 
+-CFLAGS:=-Wall -Wunused
++CFLAGS:=-Wall -Wunused -fno-stack-protector
+ CFLAGS_SH_LIB:=-fPIC
+ CC:=gcc
+ LD:=ld
+@@ -154,10 +154,13 @@
+ .PHONY: scripts
+ scripts: ebtables-save ebtables.sysv ebtables-config
+ 	cat ebtables-save | sed 's/__EXEC_PATH__/$(tmp1)/g' > ebtables-save_
++	mkdir -p $(DESTDIR)$(BINDIR)
+ 	install -m 0755 -o root -g root ebtables-save_ $(DESTDIR)$(BINDIR)/ebtables-save
+ 	cat ebtables.sysv | sed 's/__EXEC_PATH__/$(tmp1)/g' | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables.sysv_
++	mkdir -p $(DESTDIR)$(INITDIR)
+ 	install -m 0755 -o root -g root ebtables.sysv_ $(DESTDIR)$(INITDIR)/ebtables
+ 	cat ebtables-config | sed 's/__SYSCONFIG__/$(tmp2)/g' > ebtables-config_
++	mkdir -p $(DESTDIR)$(SYSCONFIGDIR)
+ 	install -m 0600 -o root -g root ebtables-config_ $(DESTDIR)$(SYSCONFIGDIR)/ebtables-config
+ 	rm -f ebtables-save_ ebtables.sysv_ ebtables-config_
+ 
diff --git a/main/ebtables/APKBUILD b/main/ebtables/APKBUILD
new file mode 100644
index 0000000..55ec1a3
--- /dev/null
+++ b/main/ebtables/APKBUILD
@@ -0,0 +1,41 @@
+# Contributor: 
+# Maintainer: 
+pkgname=ebtables
+pkgver=2.0.9.1
+_realver=v2.0.9-1
+pkgrel=0
+pkgdesc="Ethernet bridge tables - Linux Ethernet filter for the Linux bridge."
+url="http://ebtables.sourceforge.net/"
+license="GPL"
+depends=""
+makedepends=""
+install=
+#subpackages="$pkgname-dev $pkgname-doc"
+source="http://downloads.sourceforge.net/$pkgname/$pkgname-$_realver.tar.gz
+    0001-add-gcc-no-stack-protector-flag-to-makefile.patch"
+
+# append extra dependencies to -dev subpackage
+# remove if not used.
+# depends_dev="somepackage-dev"
+
+build() {
+	cd "$srcdir"/$pkgname-$_realver
+
+	#patches
+	for i in ../../*.patch; do
+		msg "Applying $i"
+		if ! patch --verbose -p1 -i $i; then
+			error "$i failed"
+			return 1
+		fi
+	done
+
+ echo "Building source"
+
+	make || return 1
+ echo "Running install (pkgdir=$pkgdir)"
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="0e0c20adf2bba6d91dbd0b74a1a38c33  ebtables-v2.0.9-1.tar.gz
+5bbd58b6d4437791ab7f3bf0f70ca8f4  0001-add-gcc-no-stack-protector-flag-to-makefile.patch"
-- 
1.6.4.4

>From 5351f658e5e2eb9e05dc762e0505c6d01ad1a18a Mon Sep 17 00:00:00 2001
From: root <root@andrew-vbox-ubuntu.(none)>
Date: Thu, 22 Oct 2009 17:24:36 +0000
Subject: [PATCH] Added icecast package

---
 main/icecast/APKBUILD |   25 +++++++++++++++++++++++++
 1 files changed, 25 insertions(+), 0 deletions(-)
 create mode 100644 main/icecast/APKBUILD

diff --git a/main/icecast/APKBUILD b/main/icecast/APKBUILD
new file mode 100644
index 0000000..a6d7bfb
--- /dev/null
+++ b/main/icecast/APKBUILD
@@ -0,0 +1,25 @@
+# Contributor: 
+# Maintainer: 
+pkgname=icecast
+pkgver=2.3.2
+pkgrel=0
+pkgdesc="Open source media server"
+url="http://www.icecast.org"
+license="GPL"
+depends="busybox"
+makedepends="libxslt-dev libxml2-dev libogg-dev libvorbis-dev"
+subpackages="$pkgname-doc"
+source="http://downloads.xiph.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+
+build() {
+	cd "$srcdir"/$pkgname-$pkgver
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--mandir=/usr/share/man \
+		--infodir=/usr/share/info
+	make || return 1
+	make DESTDIR="$pkgdir" install
+}
+
+md5sums="ff516b3ccd2bcc31e68f460cd316093f  icecast-2.3.2.tar.gz"
-- 
1.6.4.4